package com.gic.haoban.manage.web.vo.order.refund;

import java.io.Serializable;
import java.util.Date;

/**
 * @description: 这里是描述文字
 * @author: 巴弗
 * @createDate: 2023/2/20 15:42
 */
public class OrderListVO implements Serializable {

    private static final long serialVersionUID = 5215230055823016992L;

    // 退款单id
    private String orderRefundId;
    // 退款单号
    private String orderRefundNumber;
    // 1仅退款 2退货退款 3 换货
    private Integer refundType;
    /**
     * 申请时间
     */
    private Date refundTime;
    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 商城商品Name
     */
    private String mallProName;

    /**
     * 商城商品图片url
     */
    private String mallProImageUrl;

    /**
     * 商城商品件数（或单位 贵金属-重量等）
     */
    private Double mallProNumber;

    /**
     * 商城商品SKU属性信息展现用 JSON [{propID:xxx,propName:xxx,valueID:xxx,valueName:xxx},...]
     */
    private String mallProSkuAttr;

    /**
     * 订单项实付金额
     */
    private Double itemPayAmount;

    public String getOrderRefundId() {
        return orderRefundId;
    }

    public String getOrderRefundNumber() {
        return orderRefundNumber;
    }

    public Integer getRefundType() {
        return refundType;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public String getOrderId() {
        return orderId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public String getMallProName() {
        return mallProName;
    }

    public String getMallProImageUrl() {
        return mallProImageUrl;
    }

    public Double getMallProNumber() {
        return mallProNumber;
    }

    public String getMallProSkuAttr() {
        return mallProSkuAttr;
    }

    public Double getItemPayAmount() {
        return itemPayAmount;
    }

    public void setOrderRefundId(String orderRefundId) {
        this.orderRefundId = orderRefundId;
    }

    public void setOrderRefundNumber(String orderRefundNumber) {
        this.orderRefundNumber = orderRefundNumber;
    }

    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public void setMallProName(String mallProName) {
        this.mallProName = mallProName;
    }

    public void setMallProImageUrl(String mallProImageUrl) {
        this.mallProImageUrl = mallProImageUrl;
    }

    public void setMallProNumber(Double mallProNumber) {
        this.mallProNumber = mallProNumber;
    }

    public void setMallProSkuAttr(String mallProSkuAttr) {
        this.mallProSkuAttr = mallProSkuAttr;
    }

    public void setItemPayAmount(Double itemPayAmount) {
        this.itemPayAmount = itemPayAmount;
    }
}
